Skip to main content
GET
/
checkout
/
customers
/
sessions
/
{customer_session}
/
payment-methods
Retrieve Payment Methods To Enroll
curl --request GET \
  --url https://api-sandbox.y.uno/v1/checkout/customers/sessions/{customer_session}/payment-methods \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "payment_methods": [
    {
      "name": "Visa Credit Card",
      "description": "Visa Credit Card",
      "type": "VISA",
      "category": "CARD",
      "icon": "https://icons.prod.y.uno/visa_logosimbolo.png",
      "enrollment": {
        "session": "6641e30d-ca7a-440f-b97c-24231eac6dab",
        "sdk_required_action": false
      }
    },
    {
      "name": "Mastercard Credit Card",
      "description": "Mastercard Credit Card",
      "type": "MASTERCARD",
      "category": "CARD",
      "icon": "https://icons.prod.y.uno/mastercard_logosimbolo.png",
      "enrollment": {
        "session": "6641e30d-ca7a-440f-b97c-24231eac6dab",
        "sdk_required_action": false
      }
    },
    {
      "name": "PayPal Wallet",
      "description": "PayPal Wallet",
      "type": "PAYPAL",
      "category": "WALLET",
      "icon": "https://icons.prod.y.uno/paypal_logosimbolo.png",
      "enrollment": {
        "session": "6641e30d-ca7a-440f-b97c-24231eac6dab",
        "sdk_required_action": false
      }
    }
  ]
}
Get the list of payment methods the user has available for enrollment.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

customer_session
string
required

The customer session that has been created for the enrollment using the Create Customer Session endpoint (UUID, 36 chars).

Response

200

payment_methods
object[]